Void Transaction
The void transaction API allows you to void a successful card payment transaction before settlement.
Void Transaction Conditions
Transaction can only be voided when all the following conditions are met:
- Only allowed to void card payment transactions (
payment_method=CARD). - Only allowed to void when order status is
CAPTURED(order_status=CAPTURED). - Only allowed to void before settlement time. Settlement schedule:
- Before 16:00 (4 PM): Funds arrive next business day (T + 1).
Example: Transaction at 15:30 Tuesday (T3) → Funds arrive Wednesday (T4).
- After 16:00 (4 PM): Funds arrive after 2 business days (T + 2).
Example: Transaction at 17:00 Tuesday (T3) → Funds arrive Thursday (T5).
- After 16:00 Friday (T6): Funds arrive next Tuesday (T2).
- Before 16:00 (4 PM): Funds arrive next business day (T + 1).
API Endpoint
POST
https://pgapi-sandbox.sepay.vn/v1/order/voidTransactionAPI Request
order_invoice_numberstringrequired
Invoice number of the payment transaction to void
API Response
Success Response (200)
{
"message": "Đã hủy giao dịch thành công"
}messagestring
Result message
Code Samples
1
2
3
4
5
curl --request POST \--url https://pgapi-sandbox.sepay.vn/v1/order/voidTransaction \--header 'Authorization: Basic REPLACE_BASIC_AUTH' \--header 'content-type: application/json' \--data '{"order_invoice_number":"DH1756370479"}'